IEC62056

IEC62056

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Treiber implementiert das Protokoll C der IEC 62056-21 Spezifikation und zwar nur das Auslesen.

Es werden nur Werte mit Adressinformationen abgebildet.

Noch in diesem Kapitel

IEC62056 - Datenblatt

Treiber-Historie

Voraussetzungen

Konfiguration

Variablen anlegen

Treiberkommandos

Fehleranalyse


IEC62056 - Datenblatt

IEC62056 -> IEC62056 - Datenblatt

Allgemein: |
Treiberdateiname | IEC62056.exe
Treiberbezeichnung | IEC-62056-21 Treiber
Steuerungs-Typen | IEC 62056-21 bzw. IEC 61107 kompatible Energie-Zähler
Steuerungs-Hersteller | Siemens; IEC;

Treiber unterstützt: |
Protokoll | IEC 62056-21; IEC 61107;
Adressierung: Adress-basiert | --
Adressierung: Namens-basiert | X
Kommunikation spontan | --
Kommunikation pollend | X
Online Browsing | --
Offline Browsing | --
Echtzeitfähig | --
Blockwrite | --
Modemfähig | --
Serielles Logging | --
RDA numerisch | --
RDA String | --
Hysterese | --
erweiterte API | --
Unterstützung von Statusbit WR-SUC | --
alternative IP-Adresse | --

Voraussetzungen: |
Hardware PC | Standard Netzwerkkarte oder RS232 Schnittstelle
Software PC | --
Hardware Steuerung | --
Software Steuerung | --
Benötigt v-dll | X

Plattformen: |
Betriebssysteme | Windows 7, 8, 8.1, 10, Server 2008R2, Server 2012, Server 2012R2, Server 2016;
CE Plattformen | -;


Treiber-Historie

IEC62056 -> Treiber-Historie

Datum | Treiberversion | Änderung
20.08.08 | 200 | Treiberdokumentation wurde neu erstellt
15.12.2016 | 33765 | Timeout und Wiederholungen für Devices konfigurierbar.

Treiberversionierung

Mit zenon 7.10 wurde die Versionierung der Treiber verändert. Ab dieser Version gibt es eine versionsübergreifende Build-Nummer. Das ist die Zahl an der 4. Stelle der Dateiversion.
Zum Beispiel: 7.10.0.4228 bedeutet: Der Treiber ist für Version 7.10, Service Pack 0 und hat die Build-Nummer 4228.

Erweiterungen oder Fehlerbehebungen werden zukünftig in einem Build eingebaut und sind dann ab der nächsthöheren Build-Nummer verfügbar.

Example Beispiel

Eine Treibererweiterung wurde in Build 4228 implementiert. Der Treiber, den Sie im Einsatz haben, verfügt über die Build-Nummer 8322. Da die Build-Nummer Ihres Treibers höher ist als die Build-Nummer der Erweiterung, ist die Erweiterung enthalten. Die Versionsnummer des Treiber (die ersten drei Stellen der Dateiversion) spielen dabei keine Rolle. Die Treiber sind versionsunabsabhängig


Voraussetzungen

IEC62056 -> Voraussetzungen

Dieses Kapitel enthält Informationen zu den Voraussetzungen, die für die Verwendung des Treibers erforderlich sind.

Noch in diesem Kapitel

PC

Steuerung


PC

IEC62056 -> Voraussetzungen -> PC

  • Für Kommunikation über TCP/IP:

    Am PC wird zur Kommunikation eine Standardnetzwerkkarte benötigt.

  • Für serielle Kommunikation:

    Serielle Schnittstelle wird am PC benötigt. Alternativ kann auch ein COM Port Server oder auch USB/serial Wandler verwendet werden.


Steuerung

IEC62056 -> Voraussetzungen -> Steuerung

Der Zähler kann verwendet werden mit:

  • Optischer Schnittstelle:
    Getestet mit RS232/TVS9 Konverter Landis & Gyr FDC 1.3.
  • Seriellem Schnittstellen-Modul:
    Getestet mit MOXA UPort 1150 Konverter von RS232(2 Drähte) auf USB und einem Köhler AEL.TF.09 Energiezähler.
  • Ethernet Kommunikation:
    Getestet mit dem Modul CU-E20 Ethernet von Landis & Gyr.

Einstellungen serielle Verbindung für MOXA UPort 1150 und Köhler AEL.TF.09

Einstellungen für die COM-Verbindung im zenon Treiber:

  • Com: COM 2
  • Datenbit: 7
  • Stoppbit: 1
  • Baudrate: 300
  • Parität: Even
  • Protokoll: RTS/CTS

Einstellungen für Settings im zenon Treiber:

  • Delay before baud-rate switch: 200 ms

Einstellungen im Moxa UPort 1150 Konverter:

  • Port: 1
  • COM No.: COM2
  • Fast Flush: Disable
  • Interface: RS-485 2W


Konfiguration

IEC62056 -> Konfiguration

In diesem Kapitel lesen Sie, wie Sie den Treiber im Projekt anlegen und welche Einstellungen beim Treiber möglich sind.

info Info

Weitere Einstellungen, die Sie für Variablen in zenon vornehmen können, finden Sie im Kapitel Variablen der Online-Hilfe.

Noch in diesem Kapitel

Anlegen eines Treibers

Einstellungen im Treiberdialog

Kommunikation


Anlegen eines Treibers

IEC62056 -> Konfiguration -> Anlegen eines Treibers

Im Dialog Treiber erstellen wählen Sie aus einer Liste jenen Treiber, den Sie neu anlegen wollen.

Parameter | Beschreibung
Verfügbare Treiber | Liste aller verfügbaren Treiber. Die Darstellung erfolgt in einer Baumstruktur: [+] erweitert die Ordnerstruktur und zeigt die darin enthaltenen Treiber. [-] reduziert die Ordnerstruktur Default: keine Auswahl
Treiberbezeichnung | Eindeutige Bezeichnung des Treibers. Default: leer Das Eingabefeld wird nach Auswahl eines Treibers aus der Liste der verfügbaren Treiber mit der vordefinierten Bezeichnung vorausgefüllt.
Treiberinformationen | Weiterführende Informationen über den gewählten Treiber. Default: leer Nach Auswahl eines Treibers werden in diesem Bereich die Informationen zum gewählten Treiber angezeigt.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Einstellungen und öffnet den Treiberkonfigurationsdialog des ausgewählten Treibers.
Abbrechen | Verwirft alle Änderungen und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

info Info

Die Inhalte dieses Dialogs sind in der Datei Treiber_[Sprachkürzel].xml gespeichert. Sie finden diese Datei im Ordner C:\ProgramData\COPA-DATA\zenon[Versionsnummer].

Treiber neu anlegen

Um einen neuen Treiber anzulegen:

  1. Klicken Sie mit der rechten Maustaste im Projektmanager auf Treiber und wählen Sie im Kontextmenü Treiber neu aus.
    Optional: Wählen Sie die Schaltfläche Treiber neu aus der Symbolleiste der Detailansicht der Variablen.
    Der Dialog Treiber erstellen wird geöffnet.
  2. Der Dialog bietet eine Auflistung aller verfügbaren Treiber an.

  3. Wählen Sie den gewünschten Treiber und benennen Sie diesen im Eingabefeld Treiberbezeichnung.
    Dieses Eingabefeld entspricht der Eigenschaft Bezeichnung. Per Default wird der Name des ausgewählten Treibers in diesem Eingabefeld automatisch eingefügt.
    Für die Treiberbezeichnung gilt:
    • Die Treiberbezeichnung muss eindeutig sein.
      Wird ein Treiber mehrmals im Projekt verwendet, so muss jeweils eine neue Bezeichnung vergeben werden.
      Dies wird durch Klick auf die Schaltfläche OK evaluiert. Ist die Treiber im Projekt bereits vorhanden wird dies mit einem Warndialog angezeigt.
    • Die Treiberbezeichnung ist Bestandteil des Dateinamens.
      Daher darf Sie nur Zeichen enthalten, die vom Betriebssystem unterstützt werden. Nicht gültige Zeichen werden durch einen Unterstrich (_) ersetzt.
    • Achtung: Die Bezeichnung kann später nicht mehr geändert werden.
  4. Bestätigen Sie den Dialog mit Klick auf die Schaltfläche OK.
    Der Konfigurationsdialog des ausgewählten Treibers wird geöffnet.

Hinweis: Treibernamen sind nicht sprachumschaltbar. Sie werden später immer in der Sprache angezeigt, in der sie angelegt wurden, unabhängig von der Sprache des Editors. Das gilt auch für Treiberobjekttypen.

Dialog Treiberbezeichnung bereits vorhanden

Ist ein Treiber bereits im Projekt vorhanden wird dies in einem Dialog angezeigt. Mit Klick auf die Schaltfläche OK wird der Warndialog geschlossen. Der Treiber kann korrekt benannt werden.

<CD_PRODUCNTAME> Projekt

Bei neu angelegten Projekten werden die folgenden Treiber automatisch angelegt:

  • Intern
  • MathDr32
  • SysDrv

info Info

In einem zenon Projekt müssen nur die benötigten Treiber vorhanden sein. Treiber können bei Bedarf zu einem späteren Zeitpunkt hinzugefügt werden.


Einstellungen im Treiberdialog

IEC62056 -> Konfiguration -> Einstellungen im Treiberdialog

Folgende Einstellungen können Sie beim Treiber vornehmen:

Noch in diesem Kapitel

Allgemein

Com

Settings


Allgemein

IEC62056 -> Konfiguration -> Einstellungen im Treiberdialog -> Allgemein

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Beim Anlegen eines Treibers wird der Konfigurationsdialog geöffnet. Um den Dialog später zum Bearbeiten zu öffnen, führen Sie einen Doppelklick auf den Treiber in der Liste aus oder klicken Sie auf die Eigenschaft Konfiguration.

Option

Beschreibung

Modus

Ermöglicht ein Umschalten zwischen Hardware und Simulationsmodus

  • Hardware:
    Die Verbindung zur Steuerung wird hergestellt.
  • Simulation - statisch:
    Es wird keine Kommunikation zur Steuerung aufgebaut, die Werte werden vom Treiber simuliert. In diesem Modus bleiben die Werte konstant oder die Variablen behalten die über zenon Logic gesetzen Werte. Jede Variable hat seinen eigenen Speicherbereich. Zum Beispiel zwei Variablen vom Typ Merker mit Offset 79, können zur Runtime unterschiedliche Werte haben und beeinflussen sich gegenseitig nicht. Ausnahme: Der Simulatortreiber.
  • Simulation - zählend:
    Es wird keine Kommunikation zur Steuerung aufgebaut, die Werte werden vom Treiber simuliert. In diesem Modus zählt der Treiber die Werte innerhalb ihres Wertebereichs automatisch hoch.
  • Simulation - programmiert:
    Es wird keine Kommunikation zur Steuerung aufgebaut, die Werte werden von einem frei programmierbaren Simulationsprojekt berechnet. Das Simulationsprojekt wird mit der zenon Logic Workbench erstellt und läuft in einer in den Treiber integrierten zenon Logic Runtime ab. Details siehe Kapitel Treibersimulation.

Update-Liste im Speicher Halten

Einmal angeforderte Variablen werden weiterhin von der Steuerung angefordert, auch wenn diese aktuell nicht mehr benötigt werden.
Dies hat den Vorteil, dass z B. mehrmalige Bildumschaltungen nach dem erstmaligen Aufschalten beschleunigt werden, da die Variablen nicht neu angefordert werden müssen. Der Nachteil ist eine erhöhte Belastung der Kommunikation zur Steuerung.

Ausgänge schreibbar

Aktiv: Ausgänge können beschrieben werden.

Inaktiv: Das Beschreiben der Ausgänge wird unterbunden.

Hinweis: Steht nicht für jeden Treiber zur Verfügungen.

Variablenabbild remanent

Diese Option speichert und restauriert den aktuellen Wert, den Zeitstempel und die Status eines Datenpunkts.

Grundvoraussetzung: Die Variable muss einen gültigen Wert und Zeitstempel besitzen.

Das Variablenabbild wird im Modus Hardware gespeichert wenn:

  • einer der Status S_MERKER_1(0) bis S_MERKER8(7), REVISION(9), AUS(20) oder ERSATZWERT(27) aktiv ist

Das Variablenabbild wird immer gespeichert wenn:

  • die Variable vom Objekttyp Kommunikationsdetails ist
  • der Treiber im Simulationsmodus läuft. (nicht programmierte Simulation)

Folgende Status werden beim Start der Runtime nicht restauriert:

  • SELECT(8)
  • WR-ACK(40)
  • WR-SUC(41)

Der Modus Simulation - programmiert beim Treiberstart ist kein Kriterium, um das remanente Variablenabbild zu restaurieren.

Am Standby Server stoppen

Einstellung für Redundanz bei Treibern, die nur eine Kommunikationsverbindung erlauben. Dazu wird der Treiber am Standby Server gestoppt und erst beim Hochstufen wieder gestartet.

Achtung: Ist diese Option aktiv, ist die lückenlose Archivierung nicht mehr gewährleistet.

Aktiv: Versetzt den Treiber am nicht-prozessführenden Server automatisch in einen Stopp-ähnlichen Zustand. Im Unterschied zum Stoppen über Treiberkommando erhält die Variable nicht den Status abgeschaltet, sondern einen leeren Wert. Damit wird verhindert, dass beim Hochstufen zum Server nicht relevante Werte in AML , CEL und Archiv erzeugt werden.

Hinweis: Nicht verfügbar, wenn CE Terminal als Datenserver dient. Weitere Informationen dazu erhalten Sie im Handbuch zenon Operator im Kapitel CE Terminal als Datenserver.

Update Zeit Global

Aktiv: Die eingestellte Globale Update Zeit in ms wird für alle Variablen im Projekt verwendet. Die bei den Variablen eingestellte Priorität wird nicht verwendet.
Inaktiv: Die eingestellten Prioritäten werden für die einzelnen Variablen verwendet.

Priorität

Hier werden die Pollingzeiten der einzelnen Prioritätsklassen eingestellt. Alle Variablen mit der entsprechenden Priorität werden in der eingestellten Zeit gepollt.

Die Zuordnung der Variablen erfolgt separat bei jeder Variablen über die Einstellungen in den Variableneigenschaften.
Mit den Prioritätsklassen kann die Kommunikation der einzelnen Variablen auf die Wichtigkeit oder benötigte Aktualität abgestuft werden. Daraus ergibt sich eine verbesserte Verteilung der Kommunikationslast.

Achtung: Prioritätsklassen werden nicht von jedem Treiber unterstützt. Zum Beispiel unterstützen spontan kommunizierende Treiber dies nicht.

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Update Zeit zyklische Treiber

Für zyklische Treiber gilt:

Beim Sollwert Setzen, Advisen von Variablen und bei Requests wird sofort ein Lesezyklus für alle Treiber ausgelöst - unabhängig von der eingestellten Update Zeit. Damit wird sicher gestellt, dass der Wert nach dem Schreiben in der Visualisierung sofort zur Verfügung steht. Update-Zeiten können damit für zyklische Treiber kürzer ausfallen als eingestellt.


Com

IEC62056 -> Konfiguration -> Einstellungen im Treiberdialog -> Com

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In diesem Dialog konfigurieren Sie die Verbindungsparameter für die serielle Kommunikation zur SPS.

attention Achtung

Bitte beachten Sie die nach IEC62056 Standard definierten Schnittstellenparameter:

  • Baudrate:
    300
  • Datenbit:
    7
  • Stopbit:
    1
  • Parität:
    Even
  • Protokoll:
    NO

Diese normkonformen Parameter sind nicht die Default-Parameter des Treibers!

COM (Default Einstellungen)

Parameter

Beschreibung

Com

Auswahl der seriellen Schnittstelle (Com-Port) am Rechner.
Auswahl aus Dropdownliste:
COM 1 bis COM 256

Default: 1

Baudrate

Auswahl der Baudrate für die Kommunikation zur SPS.
Die Baudrate muss an die Steuerung angepasst werden.
Auswahl aus Dropdownliste:
110 bis 256000

Default: 9600

Datenbit

Anzahl der Datenbits (Datenwortlänge in Bit) für die Kommunikation zur SPS.
Die Datenbitrate muss an die Steuerung angepasst werden.
Auswahl aus Dropdownliste:
5, 6, 7, 8

Default: 8

Stoppbit

Auswahl des Stoppbits für die Kommunikation zur SPS.
Das Stoppbit muss an die Steuerung angepasst werden.

Auswahl aus Dropdownliste:

  • 1
  • 1.5
  • 2

Default: 1

Parität

Auswahl der Parität für die Kommunikation zur SPS.
Das Parität muss an die Steuerung angepasst werden. Anpassen an Steuerung.
Auswahl aus Dropdownliste:

  • No
  • Odd
  • Even

Default: No

Protokoll

Auswahl des Protokolls für die Kommunikation zur SPS.
Das Protokoll muss an die Steuerung angepasst werden.
Auswahl aus Dropdownliste:

  • No
  • Xon/Xoff
  • Rts/CTS
  • DTR/DSR

Default: No

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.


Settings

IEC62056 -> Konfiguration -> Einstellungen im Treiberdialog -> Settings

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Der Treiber unterstützt sowohl serielle Kommunikation oder Kommunikation über TCP/IP. Es kann je Device nur eine von beiden Kommunikationsarten verwendet werden.

Hinweis: Dieser Dialog steht nur in englischer Sprache zur Verfügung.

Die Schaltflächen werden in der Systemsprache des Rechners angezeigt.

Devices

Liste der konfigurierten Stationen.

Die Spaltenbreite ist mit mit Klick auf den Spaltentrenner mit gedrückter Maustaste einstellbar.

Schaltflächen - Stationen verwalten

Schaltflächen für die Bearbeitung oder zum Neuanlegen und Löschen von Verbindungseinstellungen zu Stationen.

Parameter | Beschreibung
New... | Öffnet den Dialog New Station zum Hinzufügen und Konfigurieren einer Station.
Edit... | Öffnet den Dialog New Station für Änderungen der Konfiguration der ausgewählten Station.
Delete | Löscht die ausgewählte Station. Hinweis: Das Löschen erfolgt erst nach Bestätigung in einem Bestätigungsdialog.

Kommunikationsdetails

Parameter

Beschreibung

Enable TCP/IP Connections

Checkbox zur Aktivierung der TCP/IP-Kommunikation.

  • aktiviert:
    Der Treiber kommuniziert via TCP/IP.
  • nicht aktiviert:
    Der Treiber kommuniziert via serieller Schnittstelle zur SPS.
    Hinweis: Dadurch sind nicht alle Parameter im Konfigurationsdialog einer Station aktiv.

Default: inaktiv

Read single registers

Checkbox zur Aktivierung des Auslesens einzelner Register.

  • nicht aktiviert:
    Treiber liest die gesamte Tabelle 1 vom Zähler aus.
  • aktiviert:
    Treiber schaltet auf programming mode und liest jede Variable einzeln aus. Die entsprechende IEC 62056 Adresse der Variable muss zuvor konfiguriert werden.

Default: inaktiv

Hinweis: Nicht jeder Zähler unterstützt die Verwendung von single registers. Informationen dazu finden Sie in der Dokumentation der jeweiligen Herstellers.

Delay before baud-rate switch (ms)

Verzögerung vor dem Umschalten der konfigurierten Baudrate.

Default: 0 ms

Getestete Werte:

  • EMH Zähler mit Variomod XC Umsetzer: 0 ms
  • Köhler AEL.TF.09 mit MOXA UPort 1150 Konverter: 200 ms

Initial baud-rate

Initiale Baudrate die beim Initialisieren der Verbindung verwendet wird.

Default: 300 ms

Dialog beenden

Option | Beschreibung
OK | Übernimmt alle Änderungen in allen Registerkarten und schließt den Dialog.
Abbrechen | Verwirft alle Änderungen in allen Registerkarten und schließt den Dialog.
Hilfe | Öffnet die Online-Hilfe.

Bestätigungsdialog bei Löschen

Parameter | Beschreibung
Ja | Bestätigt das Löschen der ausgewählten Station. Nach Klick auf Ja wird die Station gelöscht und der Bestätigungsdialog wird geschlossen.
Nein | Verwirft das Löschen und schließt den Bestätigungsdialog.

Noch in diesem Kapitel

New Station


New Station

IEC62056 -> Konfiguration -> Einstellungen im Treiberdialog -> Settings -> New Station

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Konfigurationsdialog einer Station.

Hinweis: Dieser Dialog steht nur in englischer Sprache zur Verfügung.

Parameter | Beschreibung
Net address | Je Treiber frei vergebbare Nummer zur Zuordnung der Variablen zu der Station im Treiber. Die Nummer ist je Treiber eindeutig. Ist die Adresse bereits projektiert wird dies mit einem Warndialog angezeigt. Hinweis: Bei der Projektierung einer Variable ist diese Adresse in der Netzadresse zu verwenden. Bereich: 0-255 Default: 1 Die Netzadresse wird bei Neuanlage einer Station nicht automatisch weitergezählt.
Device address | Adresse der Station Default: leer Hinweis: nicht aktiv wenn Enable TCP/IP connections aktiviert ist.
IP address | IP-Adresse der Station. Default: 0.0.0.0 Hinweis: Fehleingaben werden automatisch auf den Wert 255 korrigiert. Hinweis: nicht aktiv für TCP/IP-Verbindungen (aktivierte Option: Enable TCP/IP connections).
IP port | IP-Port der für die Kommunikation zur Station verwendet wird. Default: 0 Hinweis: nicht aktiv für TCP/IP-Verbindungen (aktivierte Option: Enable TCP/IP connections).
Password | Eingabefeld für optionales Passwort für die Anmeldung an der SPS. Das Passwort ist nur dann erforderlich, wenn die SPS für die Anmeldung ein solches benötigt. Default: leer
Timeout | Wartezeit in Millisekunden bevor ein Kommunikationsfehler auftritt. Default: 5000
Retries | Anfrage Wiederholungen im Fall einer Verbindungsstörung. Default: 5 Hinweis: im Fehlerfall (Kommunikationstimeout und Wiederholungen schlagen fehl) erhält der Treiber den Status "gestört". Es werden keine weiteren Daten mehr vom Treiber empfangen.

Dialog beenden

Parameter | Beschreibung
OK | Übernimmt Einstellungen und schließt den Dialog.
Cancel | Verwirft alle Änderungen und schließt den Dialog.

Warndialog: Netzadresse bereits vorhanden

Hinweis: Dieser Dialog steht nur in englischer Sprache zur Verfügung.

Die Schaltflächen werden in der Systemsprache des Rechners angezeigt.

Parameter | Beschreibung
Ja | Die aktuelle Konfiguration überschreibt die bestehende Konfiguration für die Station.
Nein | Verwirft alle Änderungen und schließt den Dialog.


Kommunikation

IEC62056 -> Konfiguration -> Kommunikation

Für die Kommunikation zur SPS gilt:

  • Der IEC62056 Treiber kommuniziert im Mode C "programming mode".
    Er kann damit alle Datenpunkte im Zähler der Station adressieren. Ein dafür eventuell erforderliches Zugriffspasswort muss in der Treiberkonfiguration je Zähler konfiguriert werden.
  • Der Variablenname kann über eine treiberspezifische Eigenschaft konfiguriert werden. Ist diese Eigenschaft leer, wird die Variablenkennung als Variablenname verwendet.
  • Über zwei treiberspezifische Eigenschaften kann optional der Zeitstempel eines Wertes auf den Start oder das Ende eines einstellbaren Intervalls gerundet werden:
    Variableneigenschaftengruppe Adressierung:
    • IEC62056 Time Adjustment
    • IEC62056 Time Interval
  • Zum Setzten der Uhrzeit via R2-Kommando auf C003 wird der Treiberobjekttyp Clock Sync (BOOL) verwendet.
    • Ein Schreiben auf diese Variable sendet das Kommando mit aktuellem Zeitstempel zum Zähler.
    • Variablen dieses Bereichs sind nur schreibend (write-only), beinhalten also keinen Istwert.
    • Über die Netzadresse wird referenziert an welchen Zähler oder welchen Router das Kommando gesendet wird. (Manche Router bieten diesen Bereich C003 global an, die Uhrzeit wird dann an alle am Router angeschlossenen Zähler weitergeleitet --> Siehe Handbuch des Routers)


Variablen anlegen

IEC62056 -> Variablen anlegen

So werden Variablen im zenon Editor angelegt:

Noch in diesem Kapitel

Variablen im Editor anlegen

Adressierung

Treiberobjekte und Datentypen


Variablen im Editor anlegen

IEC62056 -> Variablen anlegen -> Variablen im Editor anlegen

Variablen können angelegt werden:

  • als einfache Variable
  • in Arrays
  • als Struktur-Variablen

Dialog Variable

Um eine neue Variable zu erstellen, gleich welchen Typs:

  1. Wählen Sie im Knoten Variablen im Kontextmenü den Befehl Variable neu.

    Der Dialog zur Konfiguration der Variable wird geöffnet.

  2. Konfigurieren Sie die Variable.
  3. Welche Einstellungen möglich sind, hängt ab vom Typ der Variablen.

Eigenschaft

Beschreibung

Name

Eindeutiger Name der Variablen. Ist eine Variable mit gleichem Namen im Projekt bereits vorhanden, kann keine weitere Variable mit diesem Namen angelegt werden.

Maximale Länge: 128 Zeichen

Achtung: Die Zeichen # und @ sind für Variablennamen nicht erlaubt. Bei Verwendung nicht zugelassener Zeichen kann die Variablenerstellung nicht abgeschlossen werden, die Schaltfläche Fertigstellen bleibt inaktiv.
Hinweis: Manche Treiber erlauben die Adressierung auch über die Eigenschaft Symbolische Adresse.

Treiber

Wählen Sie aus der Dropdownliste den gewünschten Treiber.

Hinweis: Sollte im Projekt noch kein Treiber angelegt sein, wird automatisch der Treiber für interne Variable (Intern.exe) geladen.

Treiberobjekttyp

Wählen Sie aus der Dropdownliste den passenden Treiberobjekttyp aus.

Datentyp

Wählen Sie den gewünschten Datentyp. Klick auf die Schaltfläche ... öffnet den Auswahl-Dialog.

Array-Einstellungen

Erweiterte Einstellungen für Array-Variablen. Details dazu lesen Sie im Abschnitt Arrays.

Adressierungsoptionen

Erweiterte Einstellungen für Arrays und Struktur-Variablen. Details dazu lesen Sie im jeweiligen Abschnitt.

Automatische Elementeaktivierung

Erweiterte Einstellungen für Arrays und Struktur-Variablen. Details dazu lesen Sie im jeweiligen Abschnitt.

Symbolische Adresse

Die Eigenschaft Symbolische Adresse kann für die Adressierung alternativ zu Name oder Kennung der Variablen verwendet werden. Die Auswahl erfolgt im Treiberdialog, die Konfiguration in der Variableneigenschaft. Beim Import von Variablen unterstützter Treiber wird die Eigenschaft automatisch eingetragen.

Maximale Länge: 1024 Zeichen.

Ableitung vom Datentyp

Messbereich, Signalbereich und Sollwert Setzen werden immer:

  • vom Datentyp abgeleitet
  • beim Ändern des Datentyps automatisch angepasst

Hinweis Signalbereich: Bei einem Wechsel auf einen Datentyp, der den eingestellten Signalbereich nicht unterstützt, wird der Signalbereich automatisch angepasst. Zum Beispiel wird bei einem Wechsel von INT auf SINT der Signalbereich auf 127 geändert. Die Anpassung erfolgt auch dann, wenn der Signalbereich nicht vom Datentyp abgeleitet wurde. In diesem Fall muss der Messbereich manuell angepasst werden.


Adressierung

IEC62056 -> Variablen anlegen -> Adressierung

Eigenschaft | Beschreibung
Name | Frei vergebbarer Name. Achtung: Je zenon Projekt muss der Name eindeutig sein.
Kennung | Die Adressierung wird durch das Kennungsfeld vorgenommen. (Bsp.: 1.2.0)
Netzadresse | Netzadresse der Variable. Diese Adresse bezieht sich auf die Netzadresse der Verbindungsprojektierung im Treiber. Damit wird ausgewählt auf welcher Station sich die Variable befindet.
Datenbaustein | Wird für diesen Treiber nicht verwendet.
Offset | Wird für diesen Treiber nicht verwendet.
Ausrichtung | Wird für diesen Treiber nicht verwendet.
Bitnummer | Wird für diesen Treiber nicht verwendet.
Stringlänge | Nur verfügbar bei String-Variablen. Maximale Anzahl von Zeichen, die die Variable aufnehmen kann.
Treiber Anbindung/Treiberobjekttyp | Objekttyp der Variablen. Wird abhängig vom verwendeten Treiber beim Erstellen der Variablen ausgewählt und kann hier geändert werden.
Treiber Anbindung/Datentyp | Datentyp der Variablen. Wird beim Erstellen der Variablen ausgewählt und kann hier geändert werden. ACHTUNG: Wenn der Datentyp nachträglich geändert wird, müssen alle anderen Eigenschaften der Variablen überprüft bzw. angepasst werden.
Symbolische Adresse | Zeichenfolge für symbolische Adresse der Variablen.
IEC62056 Address | Eingabe der OBIS-Adresse.


Treiberobjekte und Datentypen

IEC62056 -> Variablen anlegen -> Treiberobjekte und Datentypen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Treiberobjekte sind in der Steuerung verfügbare Bereiche wie z. B. Merker, Datenbausteine usw. Hier lesen Sie, welche Treiberobjekte vom Treiber zur Verfügung gestellt werden und welche IEC-Datentypen dem jeweiligen Treiberobjekt zugeordnet werden können.

Noch in diesem Kapitel

Treiberobjekte

Zuordnung der Datentypen


Treiberobjekte

IEC62056 -> Variablen anlegen -> Treiberobjekte und Datentypen -> Treiberobjekte

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Folgende Treiberobjekttypen stehen in diesem Treiber zur Verfügung:

Treiberobjekttyp | Kanaltyp | Lesen | Schreiben | Unterstützte Datentypen | Beschreibung
Input | 10 | X | -- | UDINT, DINT, LREAL, STRING, DATE_AND_TIME |
Clock Sync | 9 | -- | X | BOOL | Die Netzadresse referenziert den Zähler/Router an den die Zeit gesendet wird
Kommunikationsdetails | 35 | X | X | BOOL, SINT, USINT, INT, UINT, DINT, UDINT, REAL, STRING | Variablen zur statistischen Auswertung der Kommunikation. Weitere Informationen dazu finden Sie im Kapitel Kommunikationsdetails (Treibervariablen).

Legende:

X => wird unterstützt

-- => wird nicht unterstützt


Zuordnung der Datentypen

IEC62056 -> Variablen anlegen -> Treiberobjekte und Datentypen -> Zuordnung der Datentypen

Vorheriges Kapitel Nächstes Kapitel Alle anzeigen Alle anzeigen Alle verbergen Alle verbergen
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Alle Variablen in zenon werden von IEC-Datentypen abgeleitet. In folgender Tabelle werden zur besseren Übersicht die IEC-Datentypen den Datentypen der Steuerung gegenübergestellt.

Steuerung | zenon | Datenart
- | BOOL | 8
- | USINT | 9
- | SINT | 10
- | UINT | 2
- | INT | 1
UDINT | UDINT | 4
DINT | DINT | 3
- | ULINT | 27
- | LINT | 26
- | REAL | 5
LREAL | LREAL | 6
STRING | STRING | 12
- | WSTRING | 21
- | DATE | 18
- | TIME | 17
DATE_AND_TIME | DATE_AND_TIME | 20
- | TOD (Time of Day) | 19

Datenart: Die Eigenschaft Datenart ist die interne numerische Bezeichnung des Datentyps. Diese wird auch für den erweiterten DBF Import/Export der Variablen verwendet.


Treiberkommandos

IEC62056 -> Treiberkommandos

Dieses Kapitel beschreibt Standardfunktionalitäten, die für die meisten zenon Treiber gültig sind. Nicht alle hier beschriebenen Funktionalitäten stehen für jeden Treiber zur Verfügung. Zum Beispiel enthält ein Treiber, der laut Datenblatt keine Modemverbindung unterstützt, auch keine Modem-Funktionalitäten.

Treiberkommandos dienen dazu, Treiber über zenon zu beeinflussen, z. B. starten und stoppen.
Die Projektierung erfolgt über die Funktion Treiber Kommandos. Dazu:

  • legen Sie eine neue Funktion an
  • wählen Sie Variablen -> Treiberkommandos
  • der Dialog zur Konfiguration wird geöffnet

Parameter

Beschreibung

Treiber

Dropdownliste mit allen im Projekt geladenen Treibern.

Aktueller Zustand

Fixer Eintrag, in aktuellen Versionen ohne Funktion.

Treiberkommando

Dropdownliste zur Auswahl des Kommandos.
  • Treiber starten (Online-Modus)

Treiber wird neu initialisiert und gestartet.
  • Treiber stoppen (Offline-Modus)

Treiber wird angehalten, es werden keine neuen Daten angenommen.

Hinweis: Ist der Treiber im Offline-Modus, erhalten alle Variablen, die für diesem Treiber angelegt wurden, den Status Abgeschaltet (OFF; Bit 20).

  • Treiber in Simulationsmodus

Treiber wird in den Simulationsmodus gesetzt.
Die Werte aller Variablen des Treibers werden vom Treiber simuliert. Es werden keine Werte von der angeschlossenen Hardware (z. B. SPS, Bussystem, ...) angezeigt.
  • Treiber in Hardwaremodus

Treiber wird in den Hardwaremodus gesetzt.
Für die Variablen des Treibers werden die Werte von der angeschlossenen Hardware (z. B. SPS, Bussystem, ...) angezeigt.
  • Treiberspezifisches Kommando

Eingabe treiberspezifischer Kommandos. Öffnet Eingabefeld für die Eingabe eines Kommandos.
  • Treiber Sollwertsetzen aktivieren

Sollwert setzen auf Treiber ist erlaubt.
  • Treiber Sollwertsetzen deaktivieren

Sollwert setzen auf Treiber wird verhindert.
  • Verbindung mit Modem aufbauen

Verbindung aufbauen (für Modem-Treiber). Öffnet Eingabefelder für Hardware-Adresse und Eingabe der zu wählenden Nummer.
  • Verbindung mit Modem trennen

Verbindung beenden (für Modem-Treiber).

Diesen Dialog zur Runtime anbieten

Dialog wird zur Runtime für Änderungen angeboten.

Treiberkommandos im Netzwerk

Wenn sich der Rechner, auf dem die Funktion Treiberkommandos ausgeführt wird, im zenon Netzwerk befindet, werden zusätzliche Aktionen ausgeführt. Ein spezielles Netzwerkkommando wird vom Rechner zum Server des Projekts gesendet, der dann die gewünschte Aktion auf seinem Treiber durchführt. Zusätzlich sendet der Server das gleiche Treiberkommando zum Standby des Projekts. Der Standby führt die Aktion auch auf seinem Treiber aus.

Dadurch ist gewährleistet, dass Server und Standby synchronisiert sind. Dies funktioniert nur, wenn Server und Standby jeweils eine funktionierende und unabhängige Verbindung zur Hardware haben.


Fehleranalyse

IEC62056 -> Fehleranalyse

Sollte es zu Kommunikationsproblemen kommen, bietet dieses Kapitel Hilfe, um den Fehler zu finden.

Noch in diesem Kapitel

Analysetool

Checkliste


Analysetool

IEC62056 -> Fehleranalyse -> Analysetool

Alle zenon Module wie z. B. Editor, Runtime, Treiber, usw. schreiben Meldungen in eine gemeinsame LOG-Datei. Um sie korrekt und übersichtlich anzuzeigen, benutzen Sie das Programm Diagnosis Viewer, das mit zenon mitinstalliert wird. Sie finden es unter Start/Alle Programme/zenon/Tools 7.60 -> Diagviewer.

zenon Treiber protokollieren alle Fehler in LOG-Dateien. LOG-Dateien sind Textdateien mit einer speziellen Struktur. Der Standardordner für die LOG-Dateien ist der Ordner LOG unterhalb des Ordners ProgramData, zum Beispiel:

%ProgramData%\COPA-DATA\LOG.

Achtung: Mit den Standardeinstellungen zeichnet ein Treiber nur Fehlerinformationen auf. Mit dem Diagnosis Viewer kann bei den meisten Treibern die Diagnose-Ebene auf „Debug" und „Deep Debug" erweitert werden. Damit protokolliert der Treiber auch alle anderen wesentlichen Aufgaben und Ereignisse.

Im Diagnosis Viewer kann man auch:

  • neu erstellte Einträge in Echtzeit mitverfolgen
  • die Aufzeichnungseinstellungen anpassen
  • den Ordner, in dem die LOG-Dateien gespeichert werden, ändern

Hinweise:

  1. Der Diagnosis Viewer zeigt alle Einträge in UTC (Koordinierter Weltzeit) an und nicht in der lokalen Zeit.
  2. Der Diagnosis Viewer zeigt in seiner Standardeinstellung nicht alle Spalten einer LOG-Datei an. Um mehr Spalten anzuzeigen, aktivieren Sie die Eigenschaft Add all columns with entry im Kontextmenü der Spaltentitel.
  3. Bei Verwendung von reinem Error-Logging befindet sich eine Problembeschreibung in der Spalte Error text. In anderen Diagnose-Ebenen befindet sich diese Beschreibung in der Spalte General text.
  4. Viele Treiber zeichnen bei Kommunikationsprobleme auch Fehlernummern auf, die die SPS ihnen zuweist. Diese werden in Error text und/oder Error code und/oder Driver error parameter(1 und 2) angezeigt. Hinweise zur Bedeutung der Fehlercodes erhalten Sie in der Treiberdokumentation und der Protokoll/SPS-Beschreibung.
  5. Stellen Sie am Ende Ihrer Tests den Diagnose-Level von Debug oder Deep Debug wieder zurück. Bei Debug und Deep Debug fallen beim Protokollieren sehr viele Daten an, die auf der Festplatte gespeichert werden und die Leistung Ihres Systems beeinflussen können. Diese werden auch nach dem Schließen des Diagnosis Viewers weiter aufgezeichnet.

attention Achtung

Unter Windows CE werden aus Ressourcegründen Fehler standardmäßig nicht protokolliert.

Weitere Informationen zum Diagnosis Viewer finden Sie im Handbuch Diagnosis Viewer.


Checkliste

IEC62056 -> Fehleranalyse -> Checkliste

Ist die Station an die Stromversorgung angeschlossen

Sind die Teilnehmer im TCP/IP Netz verfügbar

Kann die Station über den PING Befehl erreicht werden

Kann die Station auf dem entsprechenden Port über TELNET erreicht werden

Sind Station und PC mit dem entsprechenden Kabel verbunden

Wurde der korrekte COM Port ausgewählt

Stimmen die seriellen Kommunikationsparameter (Baudrate, Parität, Start/Stop Bits,...) überein

Wird der COM Port durch eine andere Anwendung blockiert

Wurde die Netzadresse sowohl im Treiberdialog als auch in den Adresseigenschaften der Variable korrekt eingestellt.

Wird in der Variable der korrekte Objekttyp verwendet

Stimmt die Adressierung der Variable mit der in der Station überein

Analyse mit Hilfe des DiagViewer -> Welche Meldungen werden angezeigt